package activedirectory

import (
	csma "git.loafle.net/commons/service_matcher-go/activedirectory"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	"git.loafle.net/overflow/crawler-go"
)

type ActiveDirectoryHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *ActiveDirectoryHealthCrawler) Name() string {
	return "ACTIVEDIRECTORY_HEALTH"
}

func (c *ActiveDirectoryHealthCrawler) String() string {
	return "Active Directory Health Crawler"
}

func (c *ActiveDirectoryHealthCrawler) Auth(auth map[string]string) error {
	return nil
}

func (c *ActiveDirectoryHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	ad := &ActiveDirectoryHealthCrawler{}
	ad.SetMatcher(csma.NewMatcher())
	return ad
}
