package dns

import (
	cnsmd "git.loafle.net/commons/service_matcher-go/dns"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type DNSHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *DNSHealthCrawler) Name() string {
	return "DNS_HEALTH_CRAWLER"
}

func (c *DNSHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &DNSHealthCrawler{}
	c.SetMatcher(cnsmd.NewMatcher())
	return c
}
