package ftp

import (
	cnsmf "git.loafle.net/commons/service_matcher-go/ftp"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type FTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *FTPHealthCrawler) Name() string {
	return "FTP_HEALTH_CRAWLER"
}

func (c *FTPHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &FTPHealthCrawler{}
	c.SetMatcher(cnsmf.NewMatcher())
	return c
}
