package http

import (
	cnsmh "git.loafle.net/commons/service_matcher-go/http"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type HTTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *HTTPHealthCrawler) Name() string {
	return "HTTP_HEALTH_CRAWLER"
}

func (c *HTTPHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &HTTPHealthCrawler{}
	c.SetMatcher(cnsmh.NewMatcher())
	return c
}
