package mysql

import (
	cnsmm "git.loafle.net/commons/service_matcher-go/mysql"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	"git.loafle.net/overflow/crawler-go"
)

type MySQLHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *MySQLHealthCrawler) Name() string {
	return "MYSQL_HEALTH_CRAWLER"
}

func (c *MySQLHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &MySQLHealthCrawler{}
	c.SetMatcher(cnsmm.NewMatcher())
	return c
}
