package oracle

import (
	cnsmo "git.loafle.net/commons/service_matcher-go/oracle"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type OracleHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *OracleHealthCrawler) Name() string {
	return "ORACLE_HEALTH_CRAWLER"
}

func (c *OracleHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &OracleHealthCrawler{}
	c.SetMatcher(cnsmo.NewMatcher())
	return c
}
