package pop

import (
	cnsmp "git.loafle.net/commons/service_matcher-go/pop"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type POPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *POPHealthCrawler) Name() string {
	return "POP_HEALTH_CRAWLER"
}

func (c *POPHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &POPHealthCrawler{}
	c.SetMatcher(cnsmp.NewMatcher())
	return c
}
