package postgresql

import (
	cnsmp "git.loafle.net/commons/service_matcher-go/postgresql"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type PostgreSQLHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *PostgreSQLHealthCrawler) Name() string {
	return "POSTGRESQL_HEALTH_CRAWLER"
}

func (c *PostgreSQLHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &PostgreSQLHealthCrawler{}
	c.SetMatcher(cnsmp.NewMatcher())
	return c
}
