package rmi

import (
	cnsmr "git.loafle.net/commons/service_matcher-go/rmi"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type RMIHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *RMIHealthCrawler) Name() string {
	return "RMI_HEALTH_CRAWLER"
}

func (c *RMIHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &RMIHealthCrawler{}
	c.SetMatcher(cnsmr.NewMatcher())
	return c
}
