package smb

import (
	cnsms "git.loafle.net/commons/service_matcher-go/smb"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type SMBHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SMBHealthCrawler) Name() string {
	return "SMB_HEALTH_CRAWLER"
}

func (c *SMBHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SMBHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
