package v3

import (
	cnsms "git.loafle.net/commons/service_matcher-go/snmp/v3"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	"git.loafle.net/overflow/crawler-go"
)

type SNMPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SNMPHealthCrawler) Name() string {
	return "SNMPV3_HEALTH_CRAWLER"
}

func (c *SNMPHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SNMPHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
