package ssh

import (
	cnsms "git.loafle.net/commons/service_matcher-go/ssh"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type SSHHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SSHHealthCrawler) Name() string {
	return "SSH_HEALTH_CRAWLER"
}

func (c *SSHHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SSHHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
