package telnet

import (
	cnsmt "git.loafle.net/commons/service_matcher-go/telnet"
	ocsm "git.loafle.net/overflow/commons-go/sensorconfig/model"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type TelnetHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *TelnetHealthCrawler) Name() string {
	return "TELNET_HEALTH_CRAWLER"
}

func (c *TelnetHealthCrawler) Get(config *ocsm.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &TelnetHealthCrawler{}
	c.SetMatcher(cnsmt.NewMatcher())
	return c
}
